Mail archive
alpine-devel

[alpine-devel] [PATCH 08/25] testing/libmatekbd: fix build function and deps

From: Alan Lacerda <alancordeiro_at_gmail.com>
Date: Fri, 19 Dec 2014 10:26:14 +0000

---
 testing/libmatekbd/APKBUILD | 13 ++++++++-----
 1 file changed, 8 insertions(+), 5 deletions(-)
diff --git a/testing/libmatekbd/APKBUILD b/testing/libmatekbd/APKBUILD
index 9ac4ba2..ca584ea 100644
--- a/testing/libmatekbd/APKBUILD
+++ b/testing/libmatekbd/APKBUILD
_at_@ -2,17 +2,16 @@
 # Maintainer:
 pkgname=libmatekbd
 pkgver=1.9.1
-pkgrel=0
+pkgrel=1
 pkgdesc="MATE keyboard library"
 url="https://github.com/mate-desktop/libmatekbd"
 arch="all"
 license="GPL2"
 depends="mate-common freetype"
 depends_dev=""
-makedepends="$depends_dev libxklavier-dev autoconf automake libtool intltool
-	glib-dev gtk+-dev"
+makedepends="$depends_dev libxklavier-dev libtool intltool glib-dev gtk+-dev"
 install=""
-subpackages="$pkgname-dev"
+subpackages="$pkgname-dev $pkgname-lang"
 source="http://pub.mate-desktop.org/releases/1.9/$pkgname-$pkgver.tar.xz"
 
 _builddir="$srcdir/$pkgname-$pkgver"
_at_@ -28,7 +27,11 @@ prepare() {
 
 build() {
 	cd "$_builddir"
-	./autogen.sh --prefix=/usr || return 1
+	./configure \
+		--build=$CBUILD \
+		--host=$CHOST \
+		--prefix=/usr \
+		|| return 1
 	make || return 1
 }
 
-- 
2.1.3
---
Unsubscribe:  alpine-devel+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-devel+help_at_lists.alpinelinux.org
---
Received on Fri Dec 19 2014 - 10:26:14 GMT